=== debian/control ===
Source: ros-indigo-ecto-openni
Section: misc
Priority: extra
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), libboost-all-dev, libopenni-dev, libusb-1.0-0-dev, ros-indigo-catkin, ros-indigo-cv-bridge, ros-indigo-ecto
Homepage: http://plasmodic.github.io/ecto_openni
Standards-Version: 3.9.2

Package: ros-indigo-ecto-openni
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libopenni-dev, libusb-1.0-0-dev, ros-indigo-cv-bridge, ros-indigo-ecto
Description: Ecto bindings for the openni sensor.
